stratos-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Manula Chathurika Thantriwatte <manu...@wso2.com>
Subject Dependency problem in throttling and billing components
Date Tue, 23 Jul 2013 09:24:19 GMT
Hi All,

I got the following error when compiling
"products/stratos_controller/modules/p2-profile-gen'. It gives,

*Software being installed: Apache Stratos - Throttling Manager Feature
3.0.0.SNAPSHOT (org.apache.stratos.throttling.manager.feature.group
3.0.0.SNAPSHOT)
 Missing requirement: org.wso2.carbon.billing.mgt 2.1.3
(org.wso2.carbon.billing.mgt 2.1.3) requires 'package
org.wso2.carbon.stratos.common [2.1.0,3.0.0)' but it could not be found
*
Investigation this issue with AmilaM we figure out, throttling manage needs
billing manager import and billing manager needs
org.wso2.carbon.stratos.common. But we have change it to
apache.stratos.common.

What is the solution for this issue ?

Thanks.

-- 
*Manula Chathurika Thantriwatte*
Software Engineer
WSO2 Inc. ; http://wso2.com
lean . enterprise . middleware

phone : +94 77 2492511

Mime
View raw message